Why is it that whenever i try to join a server i get an error saying something like my protocol is not up to spec with the client?

help me please?

I got that too

It’s the new way of saying the server needs to update after a GMod update.

TF2 update that updates the source engine gmod uses.
You got the update but the server hasn’t yet.

Anyone else having problems updating their servers. I am on linux and it just won’t DL the update. Forever stuck at Updating Installation

Yeah my server is stuck on updating installation also, had some testing to do as well, guess I’ll have to wait.